> For the complete documentation index, see [llms.txt](https://docs.fortifiedid.se/access/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fortifiedid.se/access/key-components/authenticators/introduction.md).

# Introduction

Configuration and usage guidance for Introduction in Fortified ID Access.

Authenticators are components that performs authentication. Authentication is the process of validating one or more credentials provided by an individual or a system to prove an identity. Credentials can be secret information like a PIN or a password, a private encryption key on a mobile phone, a fingerprint or a one time password issued by a hardware token or non secret information lika a username, internet address or a location.

Authenticators can be divided into three categories depending on their responsibilities:

* Credential validators
* Flow controllers
* Protocol managers

Credential validators are responsible for validating credentials like password or BankID.

Flow controllers does not perform any actual validation of credentials, instead they are used for controlling the flow of an authentication consisting of more than one authenticator and they rely on credential validating authenticators to perform the actual validation of supplied credentials.

Protocol managers are flow controllers responsible for specific protocols like SAML or OIDC.

Using these three types of authenticators complex authentication flows containing validation of multiple credentials and user selections can be constructed.

### Lives within the AuthN module

Configuring an authenticator is done by inserting them in an enclosing AuthN module in the "*config.*&#x61;uthenticators" property.

### Example

Example below shows how one authenticator is configured.

```json
{
      "name": "AuthN",
      "config": {
        "http_context": "/authn",
        "authenticators": [
          {
            "id": "portal",
            "type": "NoOp",
            "config": {
              "http_context": "/pwdreset/authn",
              "context_path": "/login",
              "subject": "lord_helmet",
              "success_location": "/pwdreset/"
            }
          }
        ]
      }
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fortifiedid.se/access/key-components/authenticators/introduction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
